﻿## Login to Power BI using an account with service admin rights.

##

Login-PowerBI

## Get the list of workspaces as a Power BI user.

##

$myWorkspaces = Get-PowerBIWorkspace

Write-Host "The current user has --" $myWorkspaces.Count "-- workspaces."

## Get the list of workspaces as a Power BI admin.

##

$tentantWorkspaces = Get-PowerBIWorkspace -Scope Organization

Write-Host "There are --" $tentantWorkspaces.Count "-- workspaces in this Power BI tenant."

## Get the list of workspaces by making a direct REST API call against the user API.

## /v1.0/myorg/groups

##

$myRestResult = Invoke-PowerBIRestMethod -Url 'Groups' -Method Get | ConvertFrom-Json

Write-Host "The current user has --" $myRestResult.value.Count "-- workspaces."

## Get the list of workspaces by making a direct REST API call against the admin API.

## /v1.0/myorg/admin/groups

##

$tenantRestResult = Invoke-PowerBIRestMethod -Url 'admin/Groups' -Method Get | ConvertFrom-Json

Write-Host "There are --" $tenantRestResult.value.Count "-- workspaces in this Power BI tenant."